package com.ruoyi.model.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppletServiceMapper;
import com.ruoyi.model.domain.AppletService;
import com.ruoyi.model.service.IAppletServiceService;

/**
 * 平台&服务介绍信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
@Service
public class AppletServiceServiceImpl implements IAppletServiceService 
{
    @Autowired
    private AppletServiceMapper appletServiceMapper;

    /**
     * 查询平台&服务介绍信息
     * 
     * @param id 平台&服务介绍信息主键
     * @return 平台&服务介绍信息
     */
    @Override
    public AppletService selectAppletServiceById(Long id)
    {
        return appletServiceMapper.selectAppletServiceById(id);
    }

    /**
     * 查询平台&服务介绍信息列表
     * 
     * @param appletService 平台&服务介绍信息
     * @return 平台&服务介绍信息
     */
    @Override
    public List<AppletService> selectAppletServiceList(AppletService appletService)
    {
        return appletServiceMapper.selectAppletServiceList(appletService);
    }

    /**
     * 新增平台&服务介绍信息
     * 
     * @param appletService 平台&服务介绍信息
     * @return 结果
     */
    @Override
    public int insertAppletService(AppletService appletService)
    {
        appletService.setCreateTime(DateUtils.getNowDate());
        return appletServiceMapper.insertAppletService(appletService);
    }

    /**
     * 修改平台&服务介绍信息
     * 
     * @param appletService 平台&服务介绍信息
     * @return 结果
     */
    @Override
    public int updateAppletService(AppletService appletService)
    {
        appletService.setUpdateTime(DateUtils.getNowDate());
        return appletServiceMapper.updateAppletService(appletService);
    }

    /**
     * 批量删除平台&服务介绍信息
     * 
     * @param ids 需要删除的平台&服务介绍信息主键
     * @return 结果
     */
    @Override
    public int deleteAppletServiceByIds(Long[] ids)
    {
        return appletServiceMapper.deleteAppletServiceByIds(ids);
    }

    /**
     * 删除平台&服务介绍信息信息
     * 
     * @param id 平台&服务介绍信息主键
     * @return 结果
     */
    @Override
    public int deleteAppletServiceById(Long id)
    {
        return appletServiceMapper.deleteAppletServiceById(id);
    }
}
